Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.elementparsers
Class ComputedAttributeInterpreter

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.ComputedAttributeInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

     class ComputedAttributeInterpreter

extends java.lang.Object
implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

Assigns computed values to element attributes, e.g. styleName={resources.style.pretty}, which will become something like myWidget.setStyleName(resources.style().pretty()) in the generated code.

Nested Class Summary
`(package private) class` | `ComputedAttributeInterpreter.DefaultDelegate`
`(package private) static interface` | `ComputedAttributeInterpreter.Delegate`

Constructor Summary
`ComputedAttributeInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)`
`ComputedAttributeInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer, ComputedAttributeInterpreter.Delegate delegate)`

Method Summary
`java.lang.String` | `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComputedAttributeInterpreter

    public ComputedAttributeInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)

### ComputedAttributeInterpreter

    public ComputedAttributeInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer,
                                        ComputedAttributeInterpreter.Delegate delegate)

Method Detail

### interpretElement

    public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                      throws UnableToCompleteException

  Specified by:
    `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
  Throws:
    `UnableToCompleteException`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD